[Circumvented!] Can't install 'Drawing' - Mint 19.1

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
MarkTheMorose
Level 2
Level 2
Posts: 76
Joined: Fri Mar 11, 2011 9:39 pm
Location: London, UK

[Circumvented!] Can't install 'Drawing' - Mint 19.1

Post by MarkTheMorose »

I wanted to do some simple drawing, and Gimp doesn't make that easy. I just read that Linux Mint 19.3 will come with 'Drawing' installed instead of Gimp, so I thought I'd give it a go now.

In the Software Manager, I'm getting an error message:

An error occurred
Error deploying: While trying to apply extra data: runtime/
org.freedesktop.Platform/x86_64/19.08 not installed

:(
Last edited by MarkTheMorose on Sat Dec 14, 2019 4:15 pm, edited 1 time in total.
DAMIEN1307
Level 10
Level 10
Posts: 3418
Joined: Tue Feb 21, 2017 8:13 pm
Location: Alamogordo, New Mexico, USA

Re: Can't install 'Drawing' - Mint 19.1

Post by DAMIEN1307 »

Hi Mark,

There’s also an unofficial Drawing PPA that packages the latest version for Ubuntu 18.04 LTS, Ubuntu 19.04 and Ubuntu 19.10: –

Code: Select all

sudo add-apt-repository ppa:cartes/drawing

Code: Select all

sudo apt update

Code: Select all

sudo apt install drawing
https://github.com/maoschanz/drawing

Maybe this might be of help in the meanwhile...DAMIEN
Last edited by DAMIEN1307 on Sat Dec 14, 2019 4:19 pm, edited 1 time in total.
ORDO AB CHAO
"I refuse to be assimilated, I refuse to become one with the Borg Collective"
MarkTheMorose
Level 2
Level 2
Posts: 76
Joined: Fri Mar 11, 2011 9:39 pm
Location: London, UK

Re: Can't install 'Drawing' - Mint 19.1

Post by MarkTheMorose »

DAMIEN1307 wrote:
Sat Dec 14, 2019 4:02 pm
Hi Mark,

There’s also an unofficial Drawing PPA that packages the latest version for Ubuntu 18.04 LTS, Ubuntu 19.04 and Ubuntu 19.10: –

...

Maybe this might be of help in the meanwhile...DAMIEN
Thanks Damien. However I got an error after the second command:

mark@mark-AB350M-D3V:~$ sudo apt install drawing
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package drawing
User avatar
MrEen
Level 21
Level 21
Posts: 14991
Joined: Mon Jun 12, 2017 8:39 pm

Re: Can't install 'Drawing' - Mint 19.1

Post by MrEen »

Needs an apt update first.
DAMIEN1307
Level 10
Level 10
Posts: 3418
Joined: Tue Feb 21, 2017 8:13 pm
Location: Alamogordo, New Mexico, USA

Re: Can't install 'Drawing' - Mint 19.1

Post by DAMIEN1307 »

or

Code: Select all

sudo apt update
ORDO AB CHAO
"I refuse to be assimilated, I refuse to become one with the Borg Collective"
MarkTheMorose
Level 2
Level 2
Posts: 76
Joined: Fri Mar 11, 2011 9:39 pm
Location: London, UK

Re: Can't install 'Drawing' - Mint 19.1

Post by MarkTheMorose »

Worked great, now installed.

Thanks both!
DAMIEN1307
Level 10
Level 10
Posts: 3418
Joined: Tue Feb 21, 2017 8:13 pm
Location: Alamogordo, New Mexico, USA

Re: [Circumvented!] Can't install 'Drawing' - Mint 19.1

Post by DAMIEN1307 »

Your welcome...you might want to change that "circumvented" to solved in the first post though, most will not understand what you mean by circumvented...DAMIEN

EDIT...I edited the first post i made with the "sudo apt update" which i forgot to include.
ORDO AB CHAO
"I refuse to be assimilated, I refuse to become one with the Borg Collective"
Post Reply

Return to “Newbie Questions”